<h1>

    Heroes</h1>
<hr>

<div class="row">
    <div class="col-md-12 text-right">
        <button [routerLink]="['/heroe','nuevo']" class="btn btn-outline-primary" type="button" name="button">
      Nuevo héroe
    </button>
    </div>
</div>
<br>
<div class="row animated fadeIn fast">
    <div class="col-md-12">
        <div class="table-responsive">
            <table class="table">
                <thead class="thead-dark">
                    <tr>
                        <th scope="col">#</th>
                        <th scope="col">Nombre</th>
                        <th scope="col">Casa</th>
                        <th scope="col" class="text-right">Opciones</th>
                    </tr>
                </thead>
                <tbody>
                    <tr *ngFor="let k of heroes | keys; let i = index">
                        <td>{{ i + 1 }}</td>
                        <td>{{ heroes[k].nombre }}</td>
                        <td>{{ heroes[k].casa }}</td>
                        <td class="text-right w120">
                            <button [routerLink]="['/heroe', k]" type="button" class="btn btn-outline-success">Editar</button>
                            <button (click)="borrarHeroe(k)" type="button" class="btn btn-outline-danger">Eliminar</button>
                        </td>
                    </tr>
                </tbody>
            </table>
            <div *ngIf="(heroes | keys).length === 0 " class="alert alert-info" role="alert">
                <strong>No hay</strong> registros para mostrar
            </div>
            <div *ngIf="loading" class="alert alert-warning" role="alert">
                <strong>Cargando ... </strong> por favor espere
            </div>
        </div>
    </div>
</div>